﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.Tb_SmsTmp

@{
    ViewBag.Title = "Create";
}
@section scripts{
    <script>
        $("#THeading").css('width', '100%')
        $("#TemplateTxt").css('width', '100%')
    </script>
    <script>
       
        function Getid(idd)
        {
            if (confirm("Are You sure you want to delete it?")) {
                window.location = "/SendSMS/Delete/"+idd;
            }
        }

    </script>
   
}
@using (Html.BeginForm()) {
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)


    <div class="header">
        <div class="stats">
        </div>

        <h1 class="page-title">Create Sms Template</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
        }

        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Sms Template</li>
    </ul>


    <div class="container-fluid">
        <div class="row-fluid">
            @{
                string error = "";
                string message = "";
                try
                {
                    error = ViewBag.error;
                }
                catch (Exception ex)
                { }
                try
                {
                    message = ViewBag.message;
                }
                catch (Exception ex)
                { }
                if (error != "" && error != null)
                {
                    <div class="alert alert-danger">
                        <button type="button" class="close" data-dismiss="alert">
                            ×
                        </button>
                        @error
                    </div>
                }
                if (message != "" && message != null)
                {
                    <div class="alert alert-success">
                        <button type="button" class="close" data-dismiss="alert">
                            ×
                        </button>
                        @message
                    </div>
                }



            }
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />

                <div class="btn-group">
                </div>
            </div>
            <div class="well">

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table width="560px">
                                <tr>
                                    <td style="width:200px">
                                        <table>
                                            <tr>
                                                <td>Template Heading</td>

                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.TextBoxFor(model => model.THeading,null,new {@maxlength = "50",@required="true" })
                                        @Html.ValidationMessageFor(model => model.THeading)
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 200px">
                                        <table>
                                            <tr>
                                                <td>Text</td>

                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.TextAreaFor(Model => Model.TemplateTxt,new {@rows ="4", @class="form-control",@maxlength="160", @required = "true" })
                                        @Html.ValidationMessageFor(model => model.TemplateTxt)
                                    </td>
                                </tr>
                      
                            </table>

                        </form>
                    </div>
        
                </div>

            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">
                        @Html.ActionLink("Back to List", "Index")
                    </a>
                    <a href="#" target="_blank"></a>
                </p>



            </footer>


        </div>
    </div>
}

